Subject: Re: [PATCH 0/3] doc: replay: improvements like "mention no output on conflicts"

From: Phillip Wood <[email-masked]>
Date: Wed, 10 Dec 2025 09:51:21 +0000

On 09/12/2025 22:57, Junio C Hamano wrote:
> "Kristoffer Haugsbakk" <[email-masked]> writes:
> 
>> On Mon, Dec 8, 2025, at 17:00, Phillip Wood wrote:
>> ...
>>> Maybe something like
>>>
>>>       Update all branches whose head commits are replayed. Requires
>>>       --onto.
>>
>> Thanks for the suggestion, and nice catch with the `--onto`. Very
>> personally I don’t like involving “head” terminology. Both because of
>> personal biases[1] as well as introducing “head” as a noun in the doc
>> (now it just talks about `refs/heads/`).
> 
> Yeah, I do not recall calling commit at the tip of a branch a "head
> commit".

We do talk about "branch heads" in our documentation and they point 
commits. We also use "tip" when talking about the commit the branch 
points to so maybe something like

     Update all branches whose tip is replayed

though I think it would be clearer if we could say "commit" somewhere as 
that's what we're replaying. I find the concept of "contained branches" 
rather obscure.

Thanks

Phillip